#include	"extdll.h"
#include	"util.h"
#include	"cbase.h"
#include	"fog.h"


LINK_ENTITY_TO_CLASS( fog, CFog );

void CFog::Spawn()
{
}

void CFog::KeyValue(KeyValueData* pkvd)
{
	if ( FStrEq(pkvd->szKeyName, "m_iColorR") )
	{
		m_iColorR = atoi(pkvd->szValue);
	}
	else if ( FStrEq(pkvd->szKeyName, "m_iColorG") )
	{	m_iColorG = atoi(pkvd->szValue);
	}
	else if ( FStrEq(pkvd->szKeyName, "m_iColorB") )
	{	m_iColorB = atoi(pkvd->szValue);
	}
	else if ( FStrEq(pkvd->szKeyName, "m_flNear") )
	{	m_flNear = atof(pkvd->szValue);
	}
	else if ( FStrEq(pkvd->szKeyName, "m_flFar") )
	{	m_flFar = atof(pkvd->szValue);
	}
	else
	{	CBaseEntity::KeyValue( pkvd );
	}
}
